import request from '../../../utils/request'

// 获取数据源列表
export const getDataSourceList  = params => request({
  url: `/jpt/datasource/`,
  method: 'get',
  params
})

// 删除指定数据源
export const delDataSource  = id => request({
  url: `/jpt/datasource/`+id,
  method: 'delete',
})

// 测试数据源连接
export const testDataSourceConnection = params => request({
  url: '/jpt/datasource/test',
  method: 'post',
  data: {...params}
})

// 创建数据源
export const createDataSource  = params => request({
  url: `/jpt/datasource/`,
  method: 'post',
  data: {...params}
})

export const getJobList = params => request({
  url: 'jpt/jobinfo/',
  method: 'get',
  params
})

export const updateJobList = (id, params) => request({
  url: 'jpt/jobinfo/' + id,
  method: 'put',
  data: {...params}
})